package org.wfc.omada.api.hotspot.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * ExtendOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:35:35.496+08:00[Asia/Shanghai]")

public class ExtendOpenApiVo   {
  @JsonProperty("period")
  private Long period;

  public ExtendOpenApiVo period(Long period) {
    this.period = period;
    return this;
  }

  /**
   * Extended timestamp. Unit:ms. Period should be within the range of 60000 to 86400000000000(60s to 1000000days).
   * @return period
  */
  @ApiModelProperty(required = true, value = "Extended timestamp. Unit:ms. Period should be within the range of 60000 to 86400000000000(60s to 1000000days).")
  @NotNull


  public Long getPeriod() {
    return period;
  }

  public void setPeriod(Long period) {
    this.period = period;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ExtendOpenApiVo extendOpenApiVo = (ExtendOpenApiVo) o;
    return Objects.equals(this.period, extendOpenApiVo.period);
  }

  @Override
  public int hashCode() {
    return Objects.hash(period);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ExtendOpenApiVo {\n");
    
    sb.append("    period: ").append(toIndentedString(period)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

